Bug 242011 - [NEW PORT] devel/gbump: Git tag semantic version bumper
Summary: [NEW PORT] devel/gbump: Git tag semantic version bumper
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2019-11-16 21:00 UTC by nbari
Modified: 2020-04-26 10:15 UTC (History)
3 users (show)

See Also:


Attachments
gbump shar (9.38 KB, text/plain)
2019-11-16 21:00 UTC, nbari
no flags Details
gbump 1.0.1 (9.42 KB, text/plain)
2019-11-19 18:14 UTC, nbari
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nbari 2019-11-16 21:00:29 UTC
Created attachment 209193 [details]
gbump shar

Git tag semantic version bumper

Will print the current version if any and bumped version. If option -q (quiet)
is used it will only print the bumped version, if option -t (tag) then it
will create a git tag with the bumped version.
Comment 2 nbari 2019-11-19 18:14:34 UTC
Created attachment 209255 [details]
gbump 1.0.1

bump to 1.0.1
Comment 4 commit-hook freebsd_committer 2020-04-26 10:12:59 UTC
A commit references this bug:

Author: tagattie
Date: Sun Apr 26 10:12:29 UTC 2020
New revision: 533003
URL: https://svnweb.freebsd.org/changeset/ports/533003

Log:
  Gbump is a Git tag semantic version bumper.

  It will print the current semver version if any and the bumped version.
  If the option -q (quiet) is used it will only print the bumped version.
  If the option -t (tag) is used then it will create a git tag with the
  bumped version.

  WWW: https://github.com/nbari/gbump

  PR:		242011
  Submitted by:	nbari@tequila.io
  Approved by:	ehaupt (mentor)

Changes:
  head/devel/Makefile
  head/devel/gbump/
  head/devel/gbump/Makefile
  head/devel/gbump/distinfo
  head/devel/gbump/pkg-descr
Comment 5 Hiroki Tagato freebsd_committer 2020-04-26 10:15:06 UTC
Committed, thanks!